<?php

/*
    Warn Post Extension
    
    Version 0.1
    
    Autor: thebod
    Homepage: http://www.admin-talk.com
    drin ;)
*/

if(!defined("IN_MYBB"))
{
    die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}
global $into_fid;

/*********** CHANGE HERE ***********/

$into_fid = 2;  // Forum ID

/***********************************/

$plugins->add_hook("warnings_do_warn_insert", "warnpost_doAction");

function warnpost_info()
{
    return array(
        "name"            => "Warn Post",
        "description"    => "Once you warn a user it will automatically make a thread in the staff directory that you have created.",
        "website"        => "http://www.schwarzernorden.de/",
        "author"        => "thebod but bugs fixed by Jokerr/Trealix",
        "authorsite"    => "http://www.admin-talk.com",
        "version"        => "2.0",
        "guid"             => "",
        "compatibility" => "*"
    );
}

function warnpost_doAction()
{
    global $mybb, $new_warning, $into_fid;
    
    require_once MYBB_ROOT."inc/datahandlers/post.php";
    $posthandler = new PostDataHandler("insert");
    $posthandler->action = "thread";
    
    $user = get_user($new_warning['uid']);
    
    $pmNotice = false;
    if($mybb->input['send_pm'] == 1 && $group_permissions['canusepms']  != 0 && $user['receivepms'] != 0 && $mybb->settings['enablepms'] != 0)
        $pmNotice = true;
    
    $new_thread = array(
        "fid" => $into_fid,
        "subject" => "Warning User " . $user['username'],
        "prefix" => '',
        "icon" => 0,
        "uid" => $mybb->user['uid'],
        "username" => $mybb->user['username'],
        "message" =>"Warning User " . $user['username']."\n".
                    "Notice:[QUOTE]" . $new_warning['notes'] . "[/QUOTE]\n".
                    "Points: " . $new_warning['points'] . "\n".
                    ($pmNotice ? "Der User wurde per PM benachrichtigt.\n" : ''),
        "ipaddress" => get_ip(),
        "posthash" => $mybb->input['posthash']
    );
    
    $posthandler->set_data($new_thread);
    
    $posthandler->validate_thread();
    
    $posthandler->insert_thread();
} 